Subject: bug#33967: [Feature Request] Use proportional fonts in Info-mode

From: Juri Linkov <[email-masked]>
Date: Mon, 07 Jan 2019 02:00:42 +0200

>> > AFAIK, there's work under way to improve the HTML output so that it
>> > could provide the features we want from a GNU manual reader, and then
>> > switch the GNU Info readers to supporting that.  But this is a
>> > long-term goal, and cannot be reached by changes in Emacs alone.
>> 
>> It's easy to add HTML support to the Emacs Info reader
>> with the help of shr.el HTML renderer, but I guess this
>> should wait until the stand-alone Info reader supports HTML.
>
> The problem is not to render HTML per se, the problem is to support
> the Info features like index search in HTML, something I don't know
> what would it take until we see what makeinfo emits.

We can get index entries from the links found in the Index HTML pages
that makeinfo already emits, i.e. the same way that the Info reader
already parses .info files, it can parse .html files that should be simpler
since there is less ambiguity in HTML format.